package com.malk.diwei.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.malk.diwei.entity.Client;
import com.malk.diwei.mapper.ClientMapper;
import com.malk.diwei.service.ClientService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.malk.server.aliwork.YDConf;
import com.malk.server.aliwork.YDParam;
import com.malk.server.common.McR;
import com.malk.service.aliwork.YDClient;
import com.malk.utils.UtilMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author WZY
 * @since 2025-03-11
 */
@Service
public class ClientServiceImpl extends ServiceImpl<ClientMapper, Client> implements ClientService {
    @Autowired
    private ClientMapper clientMapper;

    @Autowired
    private YDClient ydClient;

    @Override
    public McR syncClient() {
        LambdaQueryWrapper<Client> clientLambdaQueryWrapper = new LambdaQueryWrapper<>();
        clientLambdaQueryWrapper.eq(Client::getClientCategory, "0");//客户类型：不限
        List<Client> clientList = clientMapper.selectList(clientLambdaQueryWrapper);

        for (Client client : clientList) {
            Map formData = new HashMap();

            formData.put("textField_m843zjg9",client.getClientID());//客户id
            formData.put("textField_m7vidqxr",client.getClientCode());//客户编号
            formData.put("textField_m7vidqxq",client.getClientName());//客户名称
            formData.put("textField_m7vidqxr",client.getClientCode());//客户编号
            formData.put("textField_m7vidqxr",client.getClientCode());//客户编号
            formData.put("textField_m7vidqxr",client.getClientCode());//客户编号
            formData.put("textField_m7vidqxr",client.getClientCode());//客户编号
            formData.put("textField_m7vidqxr",client.getClientCode());//客户编号
            formData.put("textField_m7vidqxr",client.getClientCode());//客户编号
            formData.put("textField_m7vidqxr",client.getClientCode());//客户编号
            formData.put("textField_m7vidqxr",client.getClientCode());//客户编号




            ydClient.operateData(YDParam.builder()
                    .formUuid("FORM-55BFAC57E0774F4FBC77295ACA75E09AZTL8")
                    .searchCondition(JSONObject.toJSONString(UtilMap.map("textField_m843zjg9",client.getClientID())))
                    .formDataJson(JSONObject.toJSONString(formData))
                    .build(), YDConf.FORM_OPERATION.upsert);

        }






        return null;
    }
}
